Subject: [rfc] flip rerere.enabled default to be "on" at Git 3.0 boundary?

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 11:21:46 -0700

A good default matters, and people who find out how useful a rerere
database is would say "gee, that sounds great but why they do not
enable it by default?  It is too buggy and they wanted to reduce the
number of support requests?"  Yes, the reason it is not enabled by
default initially was exactly that, i.e. those opt into the feature
was used as guinea pigs to polish the feature.  But we forgot to set
the graduation criteria and never said "ok it is mature enough, so
let's turn it on for everybody".

Perhaps Git 3.0 boundary is a good occasion to do so?